# Info 文件

FreeBSD Porter 手册
上一页 | 第5章 　配置 Makefile | 下一页

# 5.10 Info 文件

如果软件包需要安装 GNU info 文件， 则需要在 `INFO` 变量中一一列出 (不需要指定 `.info` 后缀)。 系统假定这些文件均会安装到 ``PREFIX`/`INFO_PATH`` 目录中。 如果软件包有需要， 也可以通过修改 `INFO_PATH` 来指定不同的位置。 不过， 并不推荐这样做。 所有列出的项目均是相对于 ``PREFIX`/`INFO_PATH`` 的文件路径。 例如， `lang/gcc34` 表示将 info 文件安装到 ``PREFIX`/`INFO_PATH`/gcc34`， 因此 `INFO` 应写成类似这样：

    INFO= gcc34/cpp gcc34/cppinternals gcc34/g77 ...

这样安装/卸载代码就会自动地在注册包之前将它们加入到临时的 `pkg-plist` 中了。

上一页 | 起始页 | 下一页
联机手册 | 上一级 | Makefile 选项

若您有关于 FreeBSD ports 系统的问题， 请发送电子邮件至 <ports@FreeBSD.org>。
关于此文档的任何问题， 请致函 <doc@FreeBSD.org>。